#!/bin/bash
#Install Python nose module

pythonversion=2
	
rm -rf src 

if [[ $pythonversion == "3" ]];then

	svn checkout http://python-nose.googlecode.com/svn/branches/py3k
	mv py3k src

	cd src
	python ./setup.py build
	python ./setup.py install
fi

if [[ $pythonversion == "2" ]];then

	#Download from ISSM server
	$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/nose-1.1.2.tar.gz' 'nose-1.1.2.tar.gz'
	tar -zxvf  nose-1.1.2.tar.gz
	mv nose-1.1.2 src
	rm -rf nose-1.1.2

	cd src
	python ./setup.py build
	python ./setup.py install
fi
